function fig = startupwin(g)
% Do not edit this figure with the layout tool

load startupwin

if ShowWin==0,
   fig = 0;
   return
end

bgc = [0.752941176470588 0.752941176470588 0.752941176470588];

h0 = figure('Units','points', ...
	'Color',bgc-0.05, ...
	'Colormap',mat0, ...
        'Name','Snow',...
	'Units','char', ...
	'Position',[60 8 40 25], ...
	'Tag','Fig1');
% 	'ToolBar','none' - only works in 5.3.
h1 = uicontrol('Parent',h0, ...
	'Units','char', ...
	'backgroundcolor',bgc, ...
	'ListboxTop',0, ...
	'Position',[1 2.5 8 1.2], ...
	'String','OK', ...
	'CallBack','StartAction(GUI,''OK'')',...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','char', ...
	'backgroundcolor',bgc, ...
	'ListboxTop',0, ...
	'Position',[31 2.5 8 1.2], ...
	'CallBack','StartAction(GUI,''Cancel'')',...
	'String','Cancel', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','char', ...
	'backgroundcolor',bgc, ...
	'ListboxTop',0, ...
	'Position',[16 2.5 8 1.2], ...
	'String','Help', ...
	'CallBack','StartAction(GUI,''Help'')',...
	'Tag','Pushbutton3');
h1 = uicontrol('Parent',h0, ...
	'Units','char', ...
	'ListboxTop',0, ...
	'Position',[1 5 38 4], ...
	'String',mat1, ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','char', ...
	'ListboxTop',0, ...
	'Position',[1 0.5 38 1.2], ...
	'String','Show this window at next startup', ...
	'Style','checkbox', ...
	'Tag','Checkbox1', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','char', ...
	'ListboxTop',0, ...
	'Position',[21 14 18 7], ...
	'String','- an environment for analysis of nutrient concentrations around marine snow.', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','char', ...
	'ListboxTop',0, ...
	'Position',[1 10 38 3], ...
	'String','For information about the environment, see the README and COPYRIGHT files in the doc directory, or press Help.', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = axes('Parent',h0, ...
	'Box','on', ...
	'Color',[1 1 1], ...
	'ColorOrder',mat2, ...
	'DataAspectRatio',[731 733 1], ...
	'DataAspectRatioMode','manual', ...
	'Layer','top', ...
	'PlotBoxAspectRatioMode','manual', ...
	'Units','char',...
	'Position',[1 14  19 8], ...
	'Tag','Axes1', ...
	'WarpToFill','off', ...
	'XAxisLocation','top', ...
	'XColor',[0 0 0], ...
	'XLim',[0.5 731.5], ...
	'XLimMode','manual', ...
	'XTickLabel',['200';'400';'600'], ...
	'XTickLabelMode','manual', ...
	'XTickMode','manual', ...
	'YColor',[0 0 0], ...
	'YDir','reverse', ...
	'YLim',[0.5 733.5], ...
	'YLimMode','manual', ...
	'YTickLabel',['200';'400';'600'], ...
	'YTickLabelMode','manual', ...
	'YTickMode','manual', ...
	'ZColor',[0 0 0]);
icon = imread('private/smicon.jpg');
h2 = image(icon);
axis tight
set(gca,'xtick',[]);
set(gca,'ytick',[]);
%h2 = image('Parent',h1, ...
%	'CData',mat3, ...
%	'Tag','Axes1Image1', ...
%	'XData',[1 731], ...
%	'YData',[1 733]);
%h2 = text('Parent',h1, ...
%	'Color',[0 0 0], ...
%	'HandleVisibility','off', ...
%	'HorizontalAlignment','center', ...
%	'Position',[362.6467889908258 -33.12385321100919 9.160254037844386], ...
%	'Tag','Axes1Text4', ...
%	'VerticalAlignment','bottom');
%set(get(h2,'Parent'),'XLabel',h2);
%h2 = text('Parent',h1, ...
%	'Color',[0 0 0], ...
%	'HandleVisibility','off', ...
%	'HorizontalAlignment','center', ...
%	'Position',[-46.44495412844037 377.0871559633028 9.160254037844386], ...
%	'Rotation',90, ...
%	'Tag','Axes1Text3', ...
%	'VerticalAlignment','baseline');
%set(get(h2,'Parent'),'YLabel',h2);
%h2 = text('Parent',h1, ...
%	'Color',[0 0 0], ...
%	'HandleVisibility','off', ...
%	'HorizontalAlignment','right', ...
%	'Position',[-66.56422018348624 -60.02293577981652 9.160254037844386], ...
%	'Tag','Axes1Text2', ...
%	'Visible','off');
%set(get(h2,'Parent'),'ZLabel',h2);
%h2 = text('Parent',h1, ...
%	'Color',[0 0 0], ...
%	'HandleVisibility','off', ...
%	'HorizontalAlignment','center', ...
%	'Position',[362.6467889908258 -80.19724770642199 9.160254037844386], ...
%	'Tag','Axes1Text1', ...
%	'VerticalAlignment','bottom');
%set(get(h2,'Parent'),'Title',h2);
h1 = uicontrol('Parent',h0, ...
	'Units','char', ...
	'ListboxTop',0, ...
	'Position',[1,22,38,2], ...
	'String','SNOW', ...
	'Style','text', ...
	'Tag','StaticText4');
if nargout > 0, fig = h0; end
