function g=GUIconAction(g,action)

switch lower(action)
case 'refresh'
   g = initialize(g);
   
case 'peclet'
	Peclet(g);
   Hide(g);
case 'lambda'
   Lambda(g);
   Hide(g);
case 'method'
   Hide(g);
case 'normal'
   Hide(g);
case 'bc'
   Hide(g);
   
case 'solve'
   g=BuildEq(g);
   g=ComputeCon(g);
   Refresh(GUIpost,g)
   plot(g);   
case 'auto'
   if get(g.AutoHandle,'Value')
      set(g.UserCLevHandle,'backgroundcolor',0.5*[1 1 1])
   else
      set(g.UserCLevHandle,'backgroundcolor',0.95*[1 1 1])
   end
   
   g=GetCLVS(g);
   plot(g);   
case 'user'
   set(g.AutoHandle,'Value',0);
   set(g.UserCLevHandle,'backgroundcolor',0.95*[1 1 1]);
   g = GetCLVS(g);
   plot(g);   
case 'cbar'
   plot(g);   
   Resize(g);
case 'both'
	plot(g);   
case 'style'
	plot(g);   
   
case 'hide'
   Hide(g);
   
case 'save'
   save(g);
case 'load'
   g = load(g);
   
otherwise
   error(strcat('Unknown action in GUIcon: ',action));
end

return 

function gf=BuildEq(gf)
	setptr(Fig(gf),'watch')
   
   option.Peclet = Peclet(gf);
   option.Lambda = Lambda(gf);
   option.Method = Method(gf);
   option.BC = BC(gf);
   
   if compgrid(GUIflow)==compgrid(GUIgrid),
      gf=SetFlowField(gf,flowfield(GUIflow));   
   else
      gf=SetFlowField(gf,interp(flowfield(GUIflow),compgrid(GUIgrid)));   
   end
   
   gf=SetTensMat(gf,TensorMatrix(flowfield(gf),option));

   setptr(Fig(gf),'arrow')
return

function pf=ComputeCon(pf)
   setptr(Fig(pf),'watch')
   
   CF=SolveEquation(TensorMatrix(pf),compgrid(GUIgrid));
   
   % Compute solute flow
   FL = Flow(CF,flowfield(pf),Peclet(pf),Lambda(pf));
   
   % Rescale concentration field so that the flow is one.
   if strcmpi(Normal(pf),'flow'),
      CF = CF * (1 / FL );
      FL = 1;
   end
      
   SetFlow(GUIpost,FL);
   
   pf=SetField(pf,CF);
   
   setptr(Fig(pf),'arrow')
   UnHide(pf);   
return

function p=GetCLVS(p)
p.AutoCLVS = get(p.AutoHandle,'Value');
if ~p.AutoCLVS,
   try
      dum = str2num(get(p.UserCLevHandle,'String'));
      CheckVector(dum);
      p.UserCLVS = dum;
   catch
      asdf = lastline(lasterr);
      asdf = {'You entered an illegal parameter; the following error arose:','',...
            asdf,'','Press OK and re-edit the illegal parameter.'};
      menu(asdf,'OK');
   end
end
return

function gf=initialize(gf);
   gf = GetCLVS(gf);
   Hide(gf);
return

