function g=load(g)

cd(GetRootDir(GUI));
cd('UserData')
cd('Concentrations')

[fn,pn] = uigetfile('*.mat','Load concentration from');

if ~pn,
   return
end

s = load(fullfile(pn,fn));

g = SetField(g,s.nf);
SetPeclet(g,s.Pe);
SetLambda(g,s.La);
SetMethod(g,s.DiscMeth);
SetBC(g,s.BoundCond);
SetNorm(g,s.Norm);

if 0
   warndlg(['The concentration field you just loaded may not fit ',...
   'the current flow field. It was computed for a Reynolds number Re=', ...
   num2str(s.Re), ...
   '. The Net Solute Flow displayed in the Post Processing window is ',...
   'for the original flow field.']);
end

SetFlow(GUIpost,s.SolFlow);
Refresh(GUIpost,g);

cd(GetRootDir(GUI));
UnHide(g)
plot(g)

