function plot(gf)
%
% refreshes the plot in the GUIcon object
%

WasHidden = IsHidden(gf);

fh = Fig(gf);
ah = axes(gf);

setptr(Fig(gf),'watch')

axes(ah)

if get(gf.CbarHandle,'value'),
   delete(findobj(get(fh,'children'),'tag','ConColorBar'));
end

cla

% Take care of plot options from checkboxes etc.
plotoptions = struct('cbar',0);

if ~get(gf.AutoHandle,'value'),
   plotoptions.CLVS = gf.UserCLVS;
end

if get(gf.BothHandle,'value')
   plotoptions.size = 'full';
else
   plotoptions.size = 'half';
end

stylestrings=get(gf.StyleMenuHandle,'string');
plotoptions.style=stylestrings{get(gf.StyleMenuHandle,'value')};

if strcmpi(plotoptions.style,'local sherwood'),
   [theta,Sh] = LocalSherwood(NumField(gf));
   plot(theta,Sh)
   title('Local Sherwood Number')
   axis([0,pi,0,ceil(max(Sh(:)))])
   
   % For debugging purposes ...
   if 0
      %
      % Dump ascii table to the screen
      %
      % Every 15th theta-value
      outm = [theta(1:15:end) Sh(1:15:end)];
      
      % ...and then theta= 0,pi/2,pi
      c = [theta(1:2).^2 , ones(2,1) ]\Sh(1:2);
      outm = [outm;[0 c(2) ]];
      outm = [outm ; [pi*0.5 interp1(theta,Sh,pi/2)]];
      c = [(pi - theta (1:2)).^2 , ones(2,1) ]\Sh((end-1):end);
      outm = [outm;[pi c(2) ]];
      
      clc
      disp('    Theta     Local Sherwood')
      disp('-----------------------')
      disp(outm)
      disp('-----------------------');
   end
else
   plot(NumField(gf),plotoptions);
	title('Concentration field')   
   
   if get(gf.CbarHandle,'value'),
      hcb = colorbar;
      set(hcb,'tag','ConColorBar');
   end   
end

set(ah,'tag','GUIconAxes');
% set(ah,'position',gf.AxesPos);
   
setptr(Fig(gf),'arrow')

if WasHidden,
    Hide(gf);
end

return   
