function AppendToFile(g,fname,opt)
%
% AppendToFile - save specifications of GUIflow object in a mat-file.
%
% AppendToFile(g,fname) will call the AppendToFile method for the flowfield in 
% the GUIflow object.
%
% If an option is present as in AppendToFile(g,fid,opt), then opt is passed on
% to the AppendToFile method for the flow field.

if nargin==2,
	opt = [];   
end

if ~isfield(opt,'style')
   opt.style='mat';
end

ReynoldNumber = Reynold(g);
PsiName = Name(g);

if strcmpi(opt.style,'mat')
   save(fname,'ReynoldNumber','-append')
end

if strcmpi(opt.style,'ascii')
   fprintf(fname,'##############################################################\n');
   fprintf(fname,'THE STREAM FUNCTION\n');
   fprintf(fname,'--------------------------------------------------------------\n');
   fprintf(fname,strcat('Stream function:',PsiName,'\n'));
   fprintf(fname,'Reynold number:\t%6.2f\n',ReynoldNumber);
end

AppendToFile(flowfield(g),fname,opt);

return