function g=GUIgridAction(g,action)

if nargin==1,
   action = [];
end

if isempty(action),
   action = 'none';
end

switch lower(action)
case 'theta'
   % Theta field modified
    SetGrid(g,ComputeGrid);
    PlotGrid(g);
    GUIflow('refresh',g);
    activate(g)
case 'refresh'
   PlotGrid(g);
case 'radius'
   % r field modified
   SetGrid(g,ComputeGrid);
   PlotGrid(g);
   GUIflow('refresh',g);
   activate(g)
case 'gamma'
   % gamma field modified
   SetGrid(g,ComputeGrid);
   PlotGrid(g);
   GUIflow('refresh',g);
   activate(g)
case 'symmetry'
   % r field modified
   PlotGrid(g);
case 'rmax'
   % Rmax field modified
   SetGrid(g,ComputeGrid);
   PlotGrid(g);
   GUIflow('refresh',g);
   activate(g)
case 'none'
	% do nothing   
otherwise
   error(strcat('Unknown action in GUIgrid: ',action));
end

function PlotGrid(g)
   options = struct('size', get(findobj(get(Fig(g),'children'), ...
      'flat','tag','GridSymmetric'),'value'));
   figure(Fig(g))
   plot(compgrid(g),options)
return

function Grid=ComputeGrid   
   try 
     M = str2num(get(findobj(get(gcf,'children'),'flat','tag','GridRadiusField'),'String'));
     rmax = str2num(get(findobj(get(gcf,'children'),'flat','tag','GridRmaxField'),'String'));
     N = str2num(get(findobj(get(gcf,'children'),'flat','tag','GridThetaField'),'String'));
     gamma = str2num(get(findobj(get(gcf,'children'),'flat','tag','GridGammaField'),'String'));
   
     Grid = compgrid(rmax,M,N,'Logarithmic polar grid',gamma);
  catch
     asdf = lastline(lasterr);
     asdf = {'You entered an illegal parameter; the following error arose:','',...
           asdf,'','Press OK and re-edit the illegal parameter.'};
     menu(asdf,'OK');
     Grid = compgrid(GUIgrid);
  end
  return
