function Refresh(g,GC)
%
% Refresh - update GUIpost object.
%
% Syntax: Refresh(g,GC)
%
% Here g is the GUIpost object to refresh, and GC 
% is the GUIcon object from which the information 
% is taken. 
% 
% If GC is missing, then it is set to GUIcon.

if nargin<2,
   GC = GUIcon;
end


try
   t = Threshold(g);
   nf = NumField(GC);
   area = DenseArea(nf,t);
   diam = DenseDiameter(nf,t);
   vol  = DenseVolume(nf,t);
   
   set(g.DiamHandle,'string',num2str(diam,3));
   set(g.AreaHandle,'string',num2str(area,3));
   set(g.VolHandle,'string',num2str(vol,3));
catch
   set(g.DiamHandle,'string','');
   set(g.AreaHandle,'string','');
   set(g.VolHandle,'string','');
end

return
