function a = DenseArea(NF,t)
%
% DenseArea - compute area of high concentration 
%
% Syntax: a = DenseArea(NF,t)
%
% will return the area where NF is greater than the 
% threshold t. (The inner circle is not included).
%
% See also: NumField.
%

a = sum(sum((Val(NF) >= t).*CellArea(NF)));
