function v = DenseVolume(NF,t)
%
% DenseVolume - compute volume of high concentration 
%
% Syntax: v = DenseVolume(NF,t)
%
% will return the volume where NF is greater than the 
% threshold t. (The inner sphere is not included).
%
% See also: NumField, DenseArea, DenseVolum
%

v = sum(sum((Val(NF) >= t).*CellVolume(NF)));
