function nf=mtimes(a,b)
%
% Multiplication of numerical fields (NumField's).
%
% Allowed combinations:
%
%   nf = nf1*nf2
%   nf = a * nf1
%   nf = nf1 * a
%
% Here nf, nf1 and mf2 are numerical fields and a is a scalar.
% When two numerical fields are multiplied, their computational
% grids must coincide.

if isa(b,'double') & isa(a,'NumField')
   nf = NumField(Val(a)*b,compgrid(a));
   return
end

if isa(a,'double') & isa(b,'NumField')
   nf = NumField(Val(b)*a,compgrid(b));
   return
end

if isa(b,'NumField') & isa(a,'NumField')
   if ~(b==a)
      error('To multiply two NumField''s, they must share a common compgrid.')
   end
   
   nf = NumField(Val(a).*Val(b),compgrid(a));
   return   
end

error('In NumField/mtimes, I don''t know what to multiply.')
