function n = Set_Init_psi(n,psi)
%
% Set_Init_psi(n,psi)
%
% Sets the initial stream function in n to psi.
% This is the initial guess on the streamfunction, which 
% forms a starting point for the iterative solution
% of Navier-Stokes equations.
%
% psi can be an analytical streamfct or a NumField 
% containing the value of the streamfunction. 
% In the latter case, psi does not 
% need to be defined on the same computational grid
% as n.

n.init = psi;

if nargout == 0,
   assignin('caller',inputname(1),n)
end
