function A=adddiag(A,B,dir)
%
% adddiag - add diagonal to sparse tensor.
%
% Syntax: C=adddiag(A,B,dir)
%
% Here dir = [i j]   (default [0 0] )
%      A is a M-by-N-by-M-by-N SparseTensor
%      B is a M-abs(i) by N-abs(j) matrix
%

if nargin==2,
   dir=[0 0];
end

if any(size(B)~=[A.M A.N])
   error('In adddiag for SparseTensor - dimensions for B must be M-by-N')
end

B = full(reshape(B,A.N*A.M,1));

m=dir(1);
n=dir(2);

A.mat = A.mat + spdiags(B,-n*A.M-m,A.M*A.N,A.M*A.N)';
return
