function A=repldiag(A,B,dir)
%
% repldiag - replace diagonal in sparse tensor.
%
% Syntax: C=repldiag(A,B,dir)
%
% Here dir = [i j]   (default [0 0] )
%      A is a M-by-N-by-M-by-N SparseTensor
%      B is a M-by-N matrix
%

if nargin==2,
   dir=[0 0];
end

if any(size(B)~=[A.M A.N])
   error('In repldiag for SparseTensor - dimensions for B must be M-by-N')
end

B = reshape(B,A.N*A.M,1);

m=dir(1);
n=dir(2);

d = -n*A.M - m;

A.mat = myspdiags(B,d,A.mat)';

return

function A=myspdiags(B,d,A)
%
% This function has the same functionality as spdiags(B,d,A)
% except this one also works when A is an empty matrix.
% 
[i,j,a]=find(A);
a=[i j a];
if ~isempty(a),
   i = find(a(:,2)-a(:,1) == d);
	a(i,:) = [];
end
[m,n]=size(A);

i=max(1,1-d) : min(m,n-d);
i = i';

a = [a; i i+d B(i+(m>=n)*d)];
A = sparse(a(:,1),a(:,2),full(a(:,3)),m,n);
return
