function [d1,d2,d3,d4] = size(T)
%
% size - size of a SparseTensor.
%
% d					= size(T)     gives d = [M N M N]
% [d1,d2]			= size(T)     gives [d1 d2]= [M N]
% [d1,d2,d3,d4]	= size(T)     gives [d1 d2 d3 d4]= [M N M N]

if nargout==1,
	d1 = [T.M T.N T.M T.N ];
   return
end

if nargout==2,
   d1 = T.M;
   d2 = T.N;
   return
end

if nargout==4,
   d1 = T.M;
   d2 = T.N;
   d3 = T.M;
   d4 = T.N;
   return
end

error('size(T) for SparseTensor T requires 1,2, or 4 output arguments.')
