function T=subsasgn(T,S,B)
%
% Subsasgn function. Implements the notation
%
%    T(i,j,k,l) 
%
% on the left hand side for sparse tensors.

if S.type == '()'
   i = S.subs{1};
   j = S.subs{2};
   k = S.subs{3};
   l = S.subs{4};
   
   if (k==':' & l==':'),
      if any([size(i),size(j)]  ~= [1,1,1,1] ),
         error('The notation T(i,j,:,:) requires i and j to be scalar.');
      end
      
      if any(size(B)~=[T.M T.N]),
         error(strcat('For SparseTensor A, the notation A(i,j,:,:)=B', ...
            ' requires B to be M-by-N'))
      end
      T.mat(i+T.M*(j-1),:) = reshape(B,1,T.M*T.N);
		return  
   end
   
	if all([size(i),size(j),size(k),size(l)] == [1,1,1,1,1,1,1,1])
      T.mat(i+T.M*(j-1),k+T.M*(l-1))=B;
      return
   end
   
   if (size(i)==size(k)) & (size(j) == size(l))
      if ~isa(B,'SparseTensor')
         error('In an assignment A(I,J,K,L) = B where I and J are vectors, B must be a SparseTensor.')
      end
      
      [ii,jj] = meshgrid(i,(j-1)*T.M);
      ij = ii+jj;
      [kk,ll] = meshgrid(k,(l-1)*T.M);
      kl = kk + ll;
      
      T.mat(ij(:),kl(:)) = B.mat';
      warning('It is unclear if B.mat should be trasnposed here ...')
      return
   end
   
   error('Unrecognized syntax in the T(i,j,k,l)-assigment.')
else
   error('Subsasgn for SparseTensor works only as T(i,j,k,l)');
end
