function CV = CellVolume(cg)
%
% Return a matrix, the elements of each give the volume of the
% cell surrounding that point. This cell is the revolution 
% of the cell area.
%
% See also: loggrid

R = Rad(cg);
T = Ang(cg);
M = length(R);
N = length(T);

% Compute the inner and outer radii of the cell around each grid point
R = [R(1);R;R(M)];
R = ( R(1:(end-1)) + R(2:end) ) /2;
R3 = R.^3;

% Compute angular limits of cell
T = [-T(1),T,2*pi-T(end)];
T = ( T(1:(end-1)) + T(2:end) ) /2;
cT = cos(T);

% Compute volume of cell
CV = 2/3*pi *  ( R3(2:end) - R3(1:(end-1))) * (cT(1:(end-1))-cT(2:end));
