function plot(cg,option)
%
% plot(cg,option) - plot computational grid
% 
% The option can be omitted, or a strucure with a field option.size.
% If this field evaluates true, the both sides of the grid is plotted.

if nargin==1,
   option.size=1;
end

if ~isfield(option,'size')
   option.size=1;
end

X = XX(cg);
Z = ZZ(cg);

if option.size,
   mesh([X,-fliplr(X),X(:,1)],[Z,fliplr(Z),Z(:,1)],zeros(size([-X,X,X(:,1)])));
   hold on 
   plotcircle;
else
   mesh(X,Z,zeros(size(X)));
   hold on 
   plotcircle([],'half')
end

title(GetName(cg))

hold off
grid off
view(2)   
axis equal
zoom on 