function df=deformation(ff)
%
% df = deformation(ff)
%
% Returns a NumField df which contains the maximum deformation of 
% the flow field ff.

% Use the formulas from the preprint of Andy 
ur = UR(ff);
ut = UT(ff);

dur = diff(NumField(ur,compgrid(ff)));
dut = diff(NumField(ut,compgrid(ff)));

err = dur.dr;
ett = (dut.dt + ur)./RR(ff);
epp = (ur + ut .* cot(TT(ff)))./RR(ff);
ert = 0.5*(dut.dr + (dur.dt - ut)./RR(ff));

sqrd = sqrt( (err - ett).^2 + 4* ert.^2);

C=max(max(abs(epp),abs(0.5*(err+ett+sqrd))),abs(0.5*(err+ett-sqrd)));

df = NumField(C,compgrid(ff));
