function [ur,ut] = PolarVel(psi,R,T,Re,options);
%
% Syntax: [ur,ut] = PolarVel(psi,R,T,Re,options);
%
% Returns the radial and angular velocities at points (R,T).
% Options are passed on to streamfct/diff.
%

if nargin<5,
   options=[];
end

dpsi = diff(psi,R,T,Re,options);

sT = sin(T);

ur=   dpsi.dt ./sT ./ (R.^2);

ut= - dpsi.dr ./sT ./ R;

