function v = Vorticity(psi,cg,Re)
%
% v = Vorticity(psi,cg,Re)
% 
% returns the vorticity of streamfct psi, evaluated at 
% compgrid cg, at Reynolds number Re. This is based on
% numerical differentiation of the streamfunction using
% a central second order scheme.

D = SecondOrderCentral(cg);

R = RR(cg);
T = TT(cg);
sT = sin(T);

% Laplace operator in spherical coor's
L = (2./R)*D.dr + D.dr2 + (cot(T)./R.^2)*D.dth + (1./R.^2)*D.dth2;

v = (L - (1./(R.*sT).^2) * eye(L) ) * (eval(psi,R,T,Re) ./ R ./ sT);

