cg = compgrid(10,50,49);
Cthres = 0.3;
PecletConc = 2;
PecletBac = 1;

psi = streamfct('stokes');
ff = flowfield(psi,cg);
TM = TensorMatrix(ff,PecletConc);

C = SolveEquation(TM);
psi = 1-fliplr(C);

B = - fliplr((C>Cthres) .* psi);
B(1,:) = 0;
B(end,:) = 0;

TM = TensorMatrix(ff,PecletBac);
TM = SetB(TM,B);
V = fliplr(SolveEquation(TM));

figure(5)
plot(numfield(exp(100*(C-Cthres))./(1+exp(100*(C-Cthres))),cg))
title('The plume')
colorbar

figure(6)
plot(numfield(psi,cg))
title('The probability of not colonizing')
colorbar

i = (psi < 1e-12);
psi(i)= NaN;
T = V./psi;
T(i)=NaN;

figure(7)
plot(numfield(V./(psi+1e-9),cg))
title('The conditional expectation of the residence time')
colorbar

B = - fliplr((C>Cthres));
B(1,:) = 0;
B(end,:) = 0;

TM = TensorMatrix(ff,PecletBac);
TM = SetB(TM,B);
V = fliplr(SolveEquation(TM));

figure(8)
plot(numfield(V,cg))
title('The unconditional expectation of the residence time')
colorbar