function GUIhelp(source)
% You need help on GUIhelp ? Type GUIhelp !

if nargin<1
   source='Snow';
end

switch lower(source)
case 'snow'
	helpstr = 'Type GUImain to run the GUI. Then click on the various help buttons.';   
case 'post'
   helpstr = {'This window post-processes the solution of the PDE. ', ...
         '',...
         'You can explore the set where the concentration is greater',...
         'than a given threshold concentration you choose.',...
         'The diameter of the set is two times the largest x in this set.', ...
         'The area is in the x-z plane (The sphere itself is not counted here)',...
         'Finally, the total flux away from the sphere is computed.',...
         '',...
         'Press Save to have all data from this computation saved in a',...
         'mat-file for further processing. Press Print to have a subset of',...
         'the data saved in an ascii-file.',...
      };   
case 'grid specification'
   helpstr = {'','This window specifies the computational grid. ',...
         'Only rectangular grids in the r, theta plane are supported.',...'
         '',...
         'The grid is specified by its maximum radius, and the number',...
         'of angular and radial gridpoint.',...
         '',...
         'In addition you specify the skewness through the Gamma parameter.',...
         'With Gamma=0 you get a uniform grid, while Gamma close to 1 gives',...
         'more gridpoints downstream. This is good for the advection-diffusion',...
         'equation when the Peclet number is high (i.e. advection dominates).',...
      	'',...
         'Hint: If you don''t know your machines performance, then start with',...
         'small and crude grids and gradually increase size and resolution.'};   
case 'flow specification'
   helpstr = {'',
case 'point source'
   helpstr = {'This window shows the concentration field corresponding to a point', ...
         'source in a uniform (free) flow. The solution is scaled so that the flux',...
         'coincides with the other windows.',...
         ''};
case 'pde solution'
   helpstr = {'This window controls the solution of the advection-diffusion PDE.',...
         '',...
         'Choose a Peclet number. For diffusion of solutes in water, try 1000 ',...
         'times the Reynolds number. For diffusion of heat in water, try 10 times ',...
         'the Reynold number. (These values are approximate). ',...
         '',...
         'Choose a Gamma number. This number controls the ratio of molecular',...
         'diffusion to total diffusion and should be between 0 and 1. (I.e.,',...
         '1 corresponds to pure molecular diffusion)',...
         '',...
         'Choose a boundary condition at the surface of the sphere. A Dirichlet',...
         'condition says that the concentration (or temperature) at the surface',...
         'is fixed and constant. A Neumann condition says that the radial derivative',...
         'is fixed and constant. If you use a stream function which satisfies',...
         'no-slip (Stokes or Proudman-Pearson) then this implies that the flux per',...
         'surface area of the sphere is constant.',...
         '',...
         'Choose a way to normalize the solution. Either normalize the boundary',...
         'condition. For a Dirichlet BC, this means to set C=1 at the surface of',...
         'sphere. For a Neumann BC, this means to set the dC/dr=1 at the sphere.',...
         'Alternatively, normalize the flux. This means that the solution is',...
         'scaled so that the total flow away from the sphere is one.',...
         '',...
         'Choose a discretisation scheme. For low Peclet numbers, try a second',...
         'order central scheme which is fast. At high Peclet numbers you probably',...
         'need the upwind scheme to avoid unboundedness (seen as ripples in the',...
         'solution).',...
         '',...
      	'Hit the ''solve'' button to start the computation.'};   
otherwise 
   helpstr = strcat('No help is available on the subject ''', ...
      source,'''. Try to type ''GUIhelp'' at the MATLAB prompt');   
end

helpdlg(helpstr,['Help on ',source])

return
