function C=PecletTest(N,P,c0,c1,option)

if nargin<5
   option='compare';
end

if strcmpi(option,'upwind')
   C = UpWind(N,P,c0,c1);
   return
end

if strcmpi(option,'central')
   C = Central(N,P,c0,c1);
   return
end

if strcmpi(option,'exact')
   C = Exact(N,P,c0,c1);
   return
end

if strcmpi(option,'compare')
   C = Exact(N,P,c0,c1);
   C = [C,Central(N,P,c0,c1)];
   C = [C,UpWind(N,P,c0,c1)];
   
   if nargout==1,
      return
   end
   
   plot(linspace(0,1,N+1),C)
	legend('Exact','Cenral','Upwind')   
end


function C=Exact(N,P,c0,c1)
	h = 1/N;
   coef = [1 ,1 ; 1 , exp(-P)] \ [c0;c1];
   C=coef(1)+ coef(2) * exp(-P*linspace(0,1,N+1));
   C=C';
   
   return

function C=UpWind(N,P,c0,c1)
	h = 1/N;
	A = (-2 - h*P)* eye(N-1);
	A = A + diag ( (1 + h*P)*ones(N-2,1),1);
	A = A + diag ( (1 )*ones(N-2,1),-1);

	B = zeros(N-1,1);
	B(1) = -(1)*c0;
	B(end) = -(1+h*P )*c1;

	C = [c0;A\ B;c1];
	return   
   
   
function C=Central(N,P,c0,c1)
	h = 1/N;
	A = -4 * eye(N-1);
	A = A + diag ( (2 + h*P)*ones(N-2,1),1);
	A = A + diag ( (2 -  h*P)*ones(N-2,1),-1);

	B = zeros(N-1,1);
	B(1) = (-2 + h*P)*c0;
	B(end) = (- 2 - h*P)*c1;

	C = [c0;A\ B;c1];
   return
