% Reproduce
clear all,close all

cd bin
path(path,pwd)
cd ..

cd Userdata/Concentrations-Old

d = dir;

cd ..

Rmax = 2000;
M = 300;
N = 300;
gamma = 0.7;

lg = loggrid(Rmax,M,N,'',gamma);

for i = (length(d)-2):(-1):3,
   cname = d(i).name;
   cnamel = lower(cname);
   
   Pocc = findstr(cnamel,'p');
   Pocc = Pocc(1);
   
   Rocc = findstr(cnamel,'rmax');
   Rocc = Rocc(1);
   
   Pe = str2num(strrep(cnamel((Pocc+2):(Rocc-1)),'-','.'))
   Re = Pe/1000;
   
   option.Peclet = Pe;
   option.Method = '3-4 order upwind';
   
   cd Flows
   ffname = strcat('FlowRe',strrep(num2str(Re),'.','-'),'R500M200N200')
   load(ffname)
   cd ..
   
   if any(findstr(cnamel,'dir')),
      option.BC = 'Dirichlet';
   else
      option.BC = 'Neumann';
   end
   
   ff = interp(ff,lg);
   
   TM = TensorMatrix(ff,option);
   nf = SolveEquation(TM,lg);
   
   if any(findstr(cnamel,'flow')),
      nf = nf * (1/Flux(nf,ff,Pe,1));
      Flow = 1;
   else
      Flow = Flux(nf,ff,Pe,1);
   end
   
   cd Concentrations
   save(cname,'nf','Pe','Flow')
   cd ..
end

cd ..
