function C  = simulate ( C0, X, Pe,  dz, N )

M = length(X);
C = zeros(N,M);

C(1,:) = C0;

dx = X(2) - X(1);
a1 = dz/Pe * ( 1/dx/dx );
a2 = 1 + dz/Pe * ( -2/dx/dx ) ;
a3 = dz/Pe * ( 1/dx/dx );
ac = a1 + a3;

b1 = dz / Pe * ( - 1/2/dx );
b3 = dz / Pe * ( 1/2/dx );

for i = 2 : N,
   C(i,1) = a2 * C(i-1,1) + ac * C(i-1,2);
   
   for j = 2:(M-1),
      C(i,j ) = (a1 + b1 * X(j) ) * C(i-1,j-1) + a2 * C(i-1,j) + (a3 + b3 * X(3)) * C(i-1,j+1);
   end   
end
