clear all, close all
cd bin
path(path,pwd)
cd ..
cd Userdata/Flows

load FlowRe4R500M200N200.mat

cd ..
cd Concentrations
load CRe4Pe4000Rmax2000M300N300NeuFlow.mat
cd ..
cd ..

lg = compgrid(nf)

% lg = loggrid(100,200,180,'testgrid',0.7)

R = RR(lg);
R = R(:,1);
T = TT(lg);
T = T(1,:);

psi = streamfct('stokes')
ffst = flowfield(psi,1,lg)

% nf = NumField(ones(size(RR(lg))),lg);
figure(3)
testff2(nf,ff,4000,'Numerical')
figure(4)
testff2(nf,ffst,4000,'Analytical (Stokes)')
return

TM = TensorMatrix(ff,struct('Peclet',10));

nf = SolveEquation(TM,lg);

figure(1)
plot(nf)
figure(2)

fl = Flux(nf,ff,10,1,R);
plot(R,fl)
return

dt = tstep(lg);
size(dt)
dt = dt(1,:);
y = sin(2*T);
sum(y.*dt)

Tib = [0,T,pi];
Yib = [0,y,0];
Nint = 10000;
Tint = linspace(0,pi,Nint+1);
Yint = spline(Tib,Yib,Tint);

sum(Yint-0.5*Yint(1)-0.5*Yint(end))/pi/Nint

PHI = zeros(length(T),length(T));
for i=1:length(T),
	PHI(i,:) = sin(i*T);
end

b = zeros(length(T),1);
for i = 1:2:length(T),
   b(i) = 2/i;
end
b
